Ada Reference Manual (Ada 2022) — Legal Information

# J.2 Allowed Replacements of Characters

#### Syntax

1
The following replacements are allowed for the vertical line, number sign, and quotation mark characters:
2
A vertical line character (|) can be replaced by an exclamation mark (!) where used as a delimiter.
3
The number sign characters (#) of a based_literal can be replaced by colons (:) provided that the replacement is done for both occurrences.
4
The quotation marks (") used as string brackets at both ends of a string literal can be replaced by percent signs (%) provided that the enclosed sequence of characters contains no quotation mark, and provided that both string brackets are replaced. Any percent sign within the sequence of characters shall then be doubled and each such doubled percent sign is interpreted as a single percent sign character value.
5
These replacements do not change the meaning of the program.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe